
import { dtTableData } from '../data/table/dtData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*地图*/

export function getData(req, res) {
    let excelData = dtTableData();

    let ret:any = {};

    let shsxhzxPackageData = onceYBarChartPackage( excelData['地图数据'], '','');
    ret['dtsj'] = getOnceYBarChartOut('地图数据', shsxhzxPackageData);
                    
    let sycsPackageData = keyValuePackage(excelData['涉疫场所'].dataList);
    ret['sycs'] = getKeyValueOut('涉疫场所', sycsPackageData);
                    
    let wycsPackageData = keyValuePackage(excelData['无疫场所'].dataList);
    ret['wycs'] = getKeyValueOut('无疫场所', wycsPackageData);
                     
    res.send(ret);
} 