
import { yqcthypTableData } from '../data/table/yqcthypData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*疫情常态化右屏*/

export function getData(req, res) {
    let excelData = yqcthypTableData();

    let ret:any = {};

    let jrhsscPackageData = keyValuePackage(excelData['今日核酸筛查'].dataList);
    ret['jrhssc'] = getKeyValueOut('今日核酸筛查', jrhsscPackageData);
                    
    let scslqsPackageData = onceYBarChartPackage( excelData['筛查数量趋势'], '人',''); 
    ret['scslqs'] = getOnceYBarChartOut('筛查数量趋势', scslqsPackageData);
                    
    let xxzbsyxxTableData = tablePackage(excelData["学校周边涉疫信息"].headerList[0], excelData["学校周边涉疫信息"].bodyList);
    ret['xxzbsyxx'] = getTableOut( '学校周边涉疫信息', xxzbsyxxTableData);
                    
    let syqqqkPackageData = keyValuePackage(excelData['涉疫缺勤情况汇总'].dataList);
    ret['syqqqkhz'] = getKeyValueOut('涉疫缺勤情况汇总', syqqqkPackageData);
                    
    let syqqqkTableData = tablePackage(excelData["涉疫缺勤情况"].headerList[0], excelData["涉疫缺勤情况"].bodyList);
    ret['syqqqk'] = getTableOut( '涉疫缺勤情况', syqqqkTableData);
                     
    res.send(ret);
} 